---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.cdi-camel-mq/summary: "Camel route using CDI and ActiveMQ in a standalone\
      \ Java Container"
    description: "Camel route using CDI and ActiveMQ in a standalone Java Container"
    fabric8.cdi-camel-mq/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "cdi-camel-mq"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      prometheus.io/port: "9779"
      prometheus.io/scrape: "true"
      fabric8.io/iconUrl: "img/icons/camel.svg"
    labels:
      provider: "fabric8"
      project: "cdi-camel-mq"
      version: "2.2.134"
      group: "quickstarts"
    name: "cdi-camel-mq"
  spec:
    clusterIP: "None"
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9779
      targetPort: 9779
    selector:
      project: "cdi-camel-mq"
      provider: "fabric8"
      group: "quickstarts"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.134"
      fabric8.io/git-commit: "b82bfe8de89bdcf8252c27d6257bd45e61bcf1b7"
      fabric8.io/build-url: "http://null:80/job/oss-parent/3"
      fabric8.io/build-id: "3"
    labels:
      provider: "fabric8"
      project: "cdi-camel-mq"
      version: "2.2.134"
      group: "quickstarts"
    name: "cdi-camel-mq"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "cdi-camel-mq"
      version: "2.2.134"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "cdi-camel-mq"
          version: "2.2.134"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "FABRIC8MQ_SERVICE_NAME"
            value: "FABRIC8MQ"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/cdi-camel-mq:2.2.134"
          name: "cdi-camel-mq"
          ports:
          - containerPort: 8778
            name: "jolokia"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
